Archived

This topic is now archived and is closed to further replies.

Skyline51

FS9.1 patch problem

Recommended Posts

All,This is a strange problem that I would like some input as to why it happened and what I can do to fix it.Recently, I upgraded my RAM from 1Gig to 3. After running a few stress tests on them, I was satisfied that all was good. I loaded up my FS9 (I should say, that before the upgrade, I had been flying with the FS9.1 patch installed). I flew about 6 hours, and felt that all is well with the world. Now here's the strange part. Today, I did a review of some of the lessons, did a couple of ccts, shutdown the sim and turned off the computer. I came back a few hours later, and loaded it back up. I got 2 error msgs: Both saying that there was 2 .dll files that weren't supposed to be there. The ADF2Mod.dll and the FSSound.dll. I am sure that those were installed together with other upgrades of the patch. I've had problems in the past, so I deleted the fs cfg file to rebuild a new one, and the problem persisted. I then went into regedit and found, somewhere along the way, I lost the patch! Instead of Flight Simulator 9.1, it's listed as 9.0!As I remember, to reinstall the patch, I'd have to uninstall all of my add-on scenery (which is extensive), install the patch, and then install the scenery. A process that I'm not looking forward to. Here's where the community's knowledge comes into play: Why did I loose the patch, how can I fix it from happening again, and is there a back-door way of installing the patch without messing about with the add-ons? My system:P4 2.8Ghz (pushed to 2.95)Asus P4P8X MoBo3 Gig RAM (2x1Gig and 2x512mb)Nvidia GeForce 7800GSOC (BFG)512mb300 Gig HDnHancer Your assistance is greatly appreciatedJim

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

I've never had to uninstall any addon when upgrading to the patch.As for the dll errors is it when you start the sim?do you have the oldmodules entry in your cfg?From the tips & tricks forum Lastly, I have a couple of additional headings necessary to avoid loading errors. Those familiar with what I mean will understand. If you don't know what I'm referring to AND you are not seeing any errors, then please ignore most of what follows:(OLDMODULES)Waicao.dll=1FSSound.dll=1SOARRec.dll=1(FrameCallNoWarn)full=1Make sure you use the square brackets though as the forum doesn't like them posted here. And use the dll's that your having the errors with.Let me knowCheers

Share this post


Link to post
Share on other sites

You do not need to uninstall your addon scenery to install the patch again.Also are you sure you did not add a new aircraft as well? Because the FSsound.dll is an old module and you will get a warning on start up if FS9 finds it in the modules folder.To get rid of the warning add this line to your FS9 CFG....(Avsim won't allow bracket symbol, it's the symbol not the word)BRACKEToldmodulesBRACKET FSSound.dll=1

Share this post


Link to post
Share on other sites

Ok, I included ADF2MOD and FSSound under the heading of (Old Modules), and that seems to have fixed the problem. Further to the patch issue, I know the patch was installed as there is the BACKUP file and both the readme and uninstall files within the root program file. But when I go to regedit and the application file, they both are showing up as 9.0 vice 9.1. How can I confirm that the patch is still active?Jim

Share this post


Link to post
Share on other sites

Right click on the FS9.exe, what version is it?Mine says9.1.0.40901

Share this post


Link to post
Share on other sites

Right clicking on my fs9.exe also shows version 9.1.0.40901 even though regedit shows version 9.0 and my cd's came with the patch included so I wouldn't trust what regedit says for you fs version.BTW, when posting on this forum if you check the box that says "Check here if you want to format your message in plain text. Use for posting code snipets." you can get [] to show.

Share this post


Link to post
Share on other sites

Hi,I thought that the 9.1 patch was a separate line in the Add/Remove Programs section of the Control Panel? If so, I assume it leaves the original registry entries alone and *adds* new ones for the 9.1 patch. If you are looking at the originals then they might not change. (??)--Tom GibsonCal Classic Propliner Page: http://www.calclassic.comFreeflight Design Shop: http://www.freeflightdesign.comDrop by! ___x_x_(")_x_x___

Share this post


Link to post
Share on other sites

Ok, the problem with the old modules has been cured...thanks! Now, I'm up against CTDs! It loads in to about 60% and then crashes...no error message, nothing! Like it hadn't ever been on! I checked in the properties of the FS and got v.9.01.040901.01. I looked in the add/remove programs and only saw FS9, not the patch! I also looked in my nHancer, and it read as 9.1 as well.Ideas? anyone? It's acting like the patch isn't there, yet most of what I see says it is there.Jim

Share this post


Link to post
Share on other sites